import 'package:ernaehrung/android/components/circular/circular_component.dart';
import 'package:flutter/material.dart';

class StatisticsPercentComponent extends StatelessWidget {
  final int eaten, calorienBurned, calorienLeft, calorienLeftPercent;

  const StatisticsPercentComponent(
      {super.key,
      required this.calorienLeftPercent,
      required this.eaten,
      required this.calorienBurned,
      required this.calorienLeft});

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        Text("$eaten gegessen"),
        const CircularLoadingComponent(123),
        Text("$calorienBurned verbrannt"),
      ],
    );
  }
}
